import 'package:flutter/material.dart';

class LjButton extends StatefulWidget {
  const LjButton({Key? key}) : super(key: key);

  @override
  State<LjButton> createState() => _LjButtonState();
}

class _LjButtonState extends State<LjButton> {
  List<Color> clickColors = [
    Colors.red,
    Colors.blue,
    Colors.yellow,
    Colors.pink
  ];
  Color? cusColor;
  int index = 0;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width * 0.8,
      height: 60,
      child: ElevatedButton(
        style: ElevatedButton.styleFrom(
          primary: index == 0
              ? clickColors[0]
              : index == 1
                  ? clickColors[1]
                  : index == 2
                      ? clickColors[2]
                      : index == 3
                          ? clickColors[3]
                          : Colors.black,
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(25),
          ),
        ),
        onPressed: () {
          setState(() {
            if (index < 3) {
              index += 1;
            } else {
              setState(() {
                index = 0;
              });
            }
          });
        },
        child: Text('Click ເລີຍ'),
      ),
    );
  }
}
